using Godot;
using System;
using Vim.Math3d;

public interface IEllipse
{
    /// <summary>
    /// Semi-major axis
    /// </summary>
    double a { get; }
    double b { get; }
    /// <summary>
    /// Eccentricity
    /// </summary>
    double e { get; }
    /// <summary>
    /// Positions of the two foci of the ellipse
    /// </summary>
    DVector2[] Foci { get; }
}
